aboutsummaryrefslogtreecommitdiff
path: root/examples/var_service/svpage
diff options
context:
space:
mode:
authorDenys Vlasenko <vda.linux@googlemail.com>2018-07-03 23:23:09 +0200
committerDenys Vlasenko <vda.linux@googlemail.com>2018-07-03 23:23:09 +0200
commit14339191afc5d77205487e3365ca2569f86afd44 (patch)
tree95fdd8f36e2dcf61126bbbdfe55c735562bcac7e /examples/var_service/svpage
parentaa75a7da7f3b0bb50be82f535244137bae423fa8 (diff)
downloadbusybox-14339191afc5d77205487e3365ca2569f86afd44.tar.gz
examples/var_service/: use standard logger script, viewer and pager scripts
Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
Diffstat (limited to 'examples/var_service/svpage')
-rwxr-xr-xexamples/var_service/svpage19
1 files changed, 19 insertions, 0 deletions
diff --git a/examples/var_service/svpage b/examples/var_service/svpage
new file mode 100755
index 000000000..31c3d6dd7
--- /dev/null
+++ b/examples/var_service/svpage
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+test "$1" || {
+ echo "Syntax: ${0##*/} SERVICE"
+ exit 1
+}
+
+test x"$1" = x"${1#*/}" -a x"$1" != x"." && {
+ # has no slashes and is not a "."
+ cd "/var/service/$1" || exit $?
+ set -- "."
+}
+
+test -x "$1/page" && exec "$1/page"
+
+cd "log/logdir" || exit $?
+
+test "$PAGER" || PAGER=less
+cat @* current | $PAGER